- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::Struct::RoleMap Class Reference

`#include <RoleMap.h>`

## Public Member Functions
| RoleMap (SDF::Obj dict)
| RoleMap (const RoleMap &p)
RoleMap & | operator= (const RoleMap &p)
bool | IsValid () const
const char * | GetDirectMap (const char *type) const
SDF::Obj | GetSDFObj () const

## Detailed Description

RoleMap is a dictionary that maps the names of structure types used in the document to their approximate equivalents in the set of standard structure types.

Definition at line 20 of file RoleMap.h.

## Constructor & Destructor Documentation

pdftron::PDF::Struct::RoleMap::RoleMap | ( | SDF::Obj | dict | ) |

Initialize a RoleMap using an existing low-level Cos/SDF role map dictionary.

Parameters

  dict | - a low-level (SDF/Cos) RoleMap dictionary.

Note
  This constructor does not copy any data, but is instead the logical equivalent of a type cast.

pdftron::PDF::Struct::RoleMap::RoleMap | ( | const RoleMap & | p | ) |

## Member Function Documentation

const char* pdftron::PDF::Struct::RoleMap::GetDirectMap | ( | const char * | type | ) | const

Returns
  The direct mapping of given StructElement type, or NULL if such mapping is not defined.

Parameters

  type | element type

SDF::Obj pdftron::PDF::Struct::RoleMap::GetSDFObj | ( |  | ) | const

Returns the RoleMap dictionary.

Returns
  the object to the underlying SDF/Cos dictionary.

bool pdftron::PDF::Struct::RoleMap::IsValid | ( |  | ) | const

Returns
  true if this is a valid (non-null) RoleMap, false otherwise. If the function returns false the underlying SDF/Cos object is null or is not valid and the RoleMap should be treated as NULL object.

RoleMap& pdftron::PDF::Struct::RoleMap::operator= | ( | const RoleMap & | p | ) |

The documentation for this class was generated from the following file:

- PDF/Struct/RoleMap.h